Bug 20410 - Remove OpacGroupResults system preference and feature
Summary: Remove OpacGroupResults system preference and feature
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20396
  Show dependency treegraph
 
Reported: 2018-03-14 16:37 UTC by Gaetan Boisson
Modified: 2021-02-22 16:06 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Large patch
Text to go in the release notes:
Remove the OpacGroupResults system preference and PazPar2 that have been deprecated in the previous major version.
Version(s) released in:
21.05.00


Attachments
Bug 20410: Remove OpacGroupResults and PazPar2 (91.03 KB, patch)
2021-02-02 15:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20410: Remove OpacGroupResults and PazPar2 (91.17 KB, patch)
2021-02-03 11:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20410: Remove OpacGroupResults and PazPar2 (91.23 KB, patch)
2021-02-07 13:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Gaetan Boisson 2018-03-14 16:37:13 UTC
This is used only once according to HEA, but i am pretty sure this doesn't work, and probably never will.

I suggest removing it entirely.
Comment 1 Jonathan Druart 2018-04-04 17:01:11 UTC
Quick note:
The pref is not in sysprefs.sql

Use `git grep -i OpacGroupResults` to know where this pref is used.
Comment 2 Fridolin Somers 2018-04-05 14:53:39 UTC
Also remove PazPar2 related files ?
Comment 3 Katrin Fischer 2018-04-05 18:56:19 UTC
If the feature is tied to them it would be the consequence I think. I feel like we should bring up these kind of decisions on the mailing lists and then to a vote at the meeting.
Comment 4 Jonathan Druart 2020-11-18 15:20:10 UTC
Asked for deprecation on the list -  https://lists.katipo.co.nz/pipermail/koha/2020-November/055362.html
Comment 5 Jonathan Druart 2021-02-02 15:04:55 UTC
Created attachment 116220 [details] [review]
Bug 20410: Remove OpacGroupResults and PazPar2

This feature is not used as far as we know and it's not known to work.
It's preferable to remove it.

Test plan:
Make sure the OpacGroupResults pref code is removed, as well as the
PazPar2 files and code.
Comment 6 Owen Leonard 2021-02-03 11:47:23 UTC
Created attachment 116248 [details] [review]
Bug 20410: Remove OpacGroupResults and PazPar2

This feature is not used as far as we know and it's not known to work.
It's preferable to remove it.

Test plan:
Make sure the OpacGroupResults pref code is removed, as well as the
PazPar2 files and code.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Katrin Fischer 2021-02-07 13:34:01 UTC
Created attachment 116478 [details] [review]
Bug 20410: Remove OpacGroupResults and PazPar2

This feature is not used as far as we know and it's not known to work.
It's preferable to remove it.

Test plan:
Make sure the OpacGroupResults pref code is removed, as well as the
PazPar2 files and code.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2021-02-08 16:04:33 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 9 Fridolin Somers 2021-02-12 13:48:40 UTC
Enhancement not pushed to 20.11.x

I prefer not remove a feature in stable branch.